<?php
/**
 * 'amailto_link' Shortcode
 * 
 * @package Advanced Mailto Links
 * @since 1.0.0
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

function amtol_shortcode( $atts, $content = null ) {
	
	// Shortcode Parameter
	extract(shortcode_atts(array(
		'to' 						=> '', 
		'subject'     				=> 'hello',
		'cc'              			=> '',
		'body'                  	=> 'Hope you are doing well',	
		'text'                      => 'Mailto Link'	
	), $atts));
	
	
	$to 			= !empty($to) 					? sanitize_email($to) 		: get_option( 'admin_email' ); 
	$subject 		= !empty($subject) 				? $subject 					: 'hello';
	$cc 			= !empty($cc) 					? sanitize_email($cc) 		: ''; 
	$body 			= !empty($body) 				? $body 					: 'Hope you are doing well';
	$text 			= !empty($text) 				? $text 					: 'Mailto Link';
	
	ob_start();	
	
	if ($subject) {
		$mailto_parameter = '?subject='.esc_html($subject).'';
	}
	if ($cc) {
		$mailto_parameter .= '&cc='.antispambot($cc,1).'';
	}
	if ($body) {
		$mailto_parameter .= '&body='.esc_html($body).'';
	}	
	
	?>		
		 <a class="mailtoui" href="mailto:<?php echo antispambot($to,1); ?><?php echo $mailto_parameter; ?>">
                    <?php echo esc_html($text); ?>
         </a>		
		
		<?php
	$content .= ob_get_clean();
	return $content;
	
}
// 'popup_anything' shortcode
add_shortcode('amailto_link', 'amtol_shortcode');